### Function

# Gdk content_register_deserializer

#### Declaration [src]

    void
    gdk_content_register_deserializer (
      const char* mime_type,
      GType type,
      GdkContentDeserializeFunc deserialize,
      gpointer data,
      GDestroyNotify notify
    )

#### Description [src]

Registers a function to deserialize object of a given type.

#### Parameters

`mime_type` | `const char*`
| The mime type which the function can deserialize from.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`type` | `GType`
| The type of objects that the function creates.
`deserialize` | `GdkContentDeserializeFunc`
| The callback.
`data` | `gpointer`
| Data that `deserialize` can access.
`notify` | `GDestroyNotify`
| Destroy notify for `data`.